import { OnInit, AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { DefaultEditorDirective } from '../../../lib/editor-cell-default';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class LookupEditorComponent extends DefaultEditorDirective implements OnInit, AfterViewInit {
    private element;
    private renderer;
    private http;
    urlAPI: string;
    searchField: string;
    githubUser: string;
    lookUpAsyncScrollerStr: string;
    asyncScrollerPageNumber: number;
    asyncCumulateItems: boolean;
    arrayCumulatedItems: any[];
    asyncScrollerTotalResults: number;
    asyncScrollerCurrentResults: number;
    formEditorLookup: HTMLElement;
    constructor(element: ElementRef, renderer: Renderer2, http: HttpClient);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    lookupAsyncScroller: (query: string) => Observable<any>;
    inputIsTouched(evt: any): void;
    trigger_cumulatedLookupAsyncScroller: (evt: any) => void;
    onEditedCompleter(pickedObj: any): boolean;
    checkCurrentInputTag(): HTMLCollectionOf<Element>;
    checkValidityAndShow(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LookupEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LookupEditorComponent, "lookup-editor", never, {}, {}, never, never>;
}
